# ChannelMessage - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.message / ChannelMessage

# ChannelMessage

(common) `data class ChannelMessage<T : MessageContent> : CommonMessage<T>` (source)

### Constructors

(common)

#### <init>

`ChannelMessage(messageId: MessageIdentifier, chat: Chat, content: T, date: DateTime, editDate: DateTime?, forwardInfo: ForwardInfo?, replyTo: Message?, replyMarkup: InlineKeyboardMarkup?, authorSignature: AuthorSignature?)`

### Properties

(common)

#### authorSignature

`val authorSignature: AuthorSignature?`

(common)

#### chat

`val chat: Chat`

(common)

#### content

`val content: T`

(common)

#### date

`val date: DateTime`

(common)

#### editDate

`val editDate: DateTime?`

(common)

#### forwardInfo

`val forwardInfo: ForwardInfo?`

(common)

#### messageId

`val messageId: MessageIdentifier`

(common)

#### replyMarkup

`val replyMarkup: InlineKeyboardMarkup?`

(common)

#### replyTo

`val replyTo: Message?`

### Extension Functions

(common)

#### delete

`suspend fun Message.delete(requestsExecutor: RequestsExecutor): Boolean`